New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Adding a new handler adds it under wrong stanza #1273

Closed
amitaibu opened this Issue Sep 1, 2016 · 6 comments

Comments

Projects
None yet
2 participants
@amitaibu
Contributor

amitaibu commented Sep 1, 2016

Adding a new handler

yesod-scaffold-build_ amitai_amitais-macbook-pro zsh _111x28

Results with the handler registered under the test-suite stanza

yesod-scaffold-build_cabal_ __library_webserver_documents_haskell_yesod-scaffold-build

@snoyberg snoyberg closed this in d1495ba Sep 4, 2016

@snoyberg

This comment has been minimized.

Show comment
Hide comment
@snoyberg

snoyberg Sep 4, 2016

Member

Thanks, should be fixed in newest yesod-bin (1.4.18.3).

Member

snoyberg commented Sep 4, 2016

Thanks, should be fixed in newest yesod-bin (1.4.18.3).

@amitaibu

This comment has been minimized.

Show comment
Hide comment
@amitaibu

amitaibu Sep 4, 2016

Contributor

Thanks. Small question, how do I see if this is published already? I tried to stack build yesod-bin but I still see the old behavior.

Contributor

amitaibu commented Sep 4, 2016

Thanks. Small question, how do I see if this is published already? I tried to stack build yesod-bin but I still see the old behavior.

@snoyberg

This comment has been minimized.

Show comment
Hide comment
@snoyberg

snoyberg Sep 4, 2016

Member

You'd have to tell it an exact version, by default it will just use the package version in your snapshot. Try stack build yesod-bin-1.4.18.3 or add that to your extra-deps in stack.yaml.

Member

snoyberg commented Sep 4, 2016

You'd have to tell it an exact version, by default it will just use the package version in your snapshot. Try stack build yesod-bin-1.4.18.3 or add that to your extra-deps in stack.yaml.

@amitaibu

This comment has been minimized.

Show comment
Hide comment
@amitaibu

amitaibu Sep 4, 2016

Contributor

Will do, thanks!

Contributor

amitaibu commented Sep 4, 2016

Will do, thanks!

@amitaibu

This comment has been minimized.

Show comment
Hide comment
@amitaibu

amitaibu Sep 4, 2016

Contributor

Sorry, I'm getting this:

$ stack build yesod-bin-1.4.18.3
Didn't see yesod-bin-1.4.18.3 in your package indices.
Updating and trying again.
Fetching package index ...remote: Counting objects: 1, done.
remote: Total 1 (delta 0), reused 1 (delta 0), pack-reused 0
Unpacking objects: 100% (1/1), done.
Fetched package index.    
The following package identifiers were not found in your indices: yesod-bin-1.4.18.3
Possible candidates: yesod-bin-1.4.0, yesod-bin-1.4.0.1, yesod-bin-1.4.0.2, yesod-bin-1.4.0.3, yesod-bin-1.4.0.4, yesod-bin-1.4.0.5, yesod-bin-1.4.0.6, yesod-bin-1.4.0.7, yesod-bin-1.4.0.8, yesod-bin-1.4.0.9, yesod-bin-1.4.1, yesod-bin-1.4.1.1, yesod-bin-1.4.1.2, yesod-bin-1.4.2, yesod-bin-1.4.3, yesod-bin-1.4.3.1, yesod-bin-1.4.3.2, yesod-bin-1.4.3.3, yesod-bin-1.4.3.4, yesod-bin-1.4.3.5, yesod-bin-1.4.3.6, yesod-bin-1.4.3.7, yesod-bin-1.4.3.9, yesod-bin-1.4.3.10, yesod-bin-1.4.3.11, yesod-bin-1.4.4, yesod-bin-1.4.5, yesod-bin-1.4.5.1, yesod-bin-1.4.6, yesod-bin-1.4.7, yesod-bin-1.4.7.1, yesod-bin-1.4.7.2, yesod-bin-1.4.8, yesod-bin-1.4.9, yesod-bin-1.4.9.1, yesod-bin-1.4.9.2, yesod-bin-1.4.10, yesod-bin-1.4.11, yesod-bin-1.4.12, yesod-bin-1.4.13, yesod-bin-1.4.13.1, yesod-bin-1.4.13.2, yesod-bin-1.4.13.3, yesod-bin-1.4.14, yesod-bin-1.4.15, yesod-bin-1.4.16, yesod-bin-1.4.16.1, yesod-bin-1.4.17, yesod-bin-1.4.17.1, yesod-bin-1.4.18, yesod-bin-1.4.18.1, yesod-bin-1.4.18.2.
Contributor

amitaibu commented Sep 4, 2016

Sorry, I'm getting this:

$ stack build yesod-bin-1.4.18.3
Didn't see yesod-bin-1.4.18.3 in your package indices.
Updating and trying again.
Fetching package index ...remote: Counting objects: 1, done.
remote: Total 1 (delta 0), reused 1 (delta 0), pack-reused 0
Unpacking objects: 100% (1/1), done.
Fetched package index.    
The following package identifiers were not found in your indices: yesod-bin-1.4.18.3
Possible candidates: yesod-bin-1.4.0, yesod-bin-1.4.0.1, yesod-bin-1.4.0.2, yesod-bin-1.4.0.3, yesod-bin-1.4.0.4, yesod-bin-1.4.0.5, yesod-bin-1.4.0.6, yesod-bin-1.4.0.7, yesod-bin-1.4.0.8, yesod-bin-1.4.0.9, yesod-bin-1.4.1, yesod-bin-1.4.1.1, yesod-bin-1.4.1.2, yesod-bin-1.4.2, yesod-bin-1.4.3, yesod-bin-1.4.3.1, yesod-bin-1.4.3.2, yesod-bin-1.4.3.3, yesod-bin-1.4.3.4, yesod-bin-1.4.3.5, yesod-bin-1.4.3.6, yesod-bin-1.4.3.7, yesod-bin-1.4.3.9, yesod-bin-1.4.3.10, yesod-bin-1.4.3.11, yesod-bin-1.4.4, yesod-bin-1.4.5, yesod-bin-1.4.5.1, yesod-bin-1.4.6, yesod-bin-1.4.7, yesod-bin-1.4.7.1, yesod-bin-1.4.7.2, yesod-bin-1.4.8, yesod-bin-1.4.9, yesod-bin-1.4.9.1, yesod-bin-1.4.9.2, yesod-bin-1.4.10, yesod-bin-1.4.11, yesod-bin-1.4.12, yesod-bin-1.4.13, yesod-bin-1.4.13.1, yesod-bin-1.4.13.2, yesod-bin-1.4.13.3, yesod-bin-1.4.14, yesod-bin-1.4.15, yesod-bin-1.4.16, yesod-bin-1.4.16.1, yesod-bin-1.4.17, yesod-bin-1.4.17.1, yesod-bin-1.4.18, yesod-bin-1.4.18.1, yesod-bin-1.4.18.2.
@snoyberg

This comment has been minimized.

Show comment
Hide comment
@snoyberg

snoyberg Sep 4, 2016

Member

You'll need to wait about an hour got the indices to update.

On Sun, Sep 4, 2016, 10:26 AM Amitai Burstein notifications@github.com
wrote:

Sorry, I'm getting this:

$ stack build yesod-bin-1.4.18.3
Didn't see yesod-bin-1.4.18.3 in your package indices.
Updating and trying again.
Fetching package index ...remote: Counting objects: 1, done.
remote: Total 1 (delta 0), reused 1 (delta 0), pack-reused 0
Unpacking objects: 100% (1/1), done.
Fetched package index.
The following package identifiers were not found in your indices: yesod-bin-1.4.18.3
Possible candidates: yesod-bin-1.4.0, yesod-bin-1.4.0.1, yesod-bin-1.4.0.2, yesod-bin-1.4.0.3, yesod-bin-1.4.0.4, yesod-bin-1.4.0.5, yesod-bin-1.4.0.6, yesod-bin-1.4.0.7, yesod-bin-1.4.0.8, yesod-bin-1.4.0.9, yesod-bin-1.4.1, yesod-bin-1.4.1.1, yesod-bin-1.4.1.2, yesod-bin-1.4.2, yesod-bin-1.4.3, yesod-bin-1.4.3.1, yesod-bin-1.4.3.2, yesod-bin-1.4.3.3, yesod-bin-1.4.3.4, yesod-bin-1.4.3.5, yesod-bin-1.4.3.6, yesod-bin-1.4.3.7, yesod-bin-1.4.3.9, yesod-bin-1.4.3.10, yesod-bin-1.4.3.11, yesod-bin-1.4.4, yesod-bin-1.4.5, yesod-bin-1.4.5.1, yesod-bin-1.4.6, yesod-bin-1.4.7, yesod-bin-1.4.7.1, yesod-bin-1.4.7.2, yesod-bin-1.4.8, yesod-bin-1.4.9, yesod-bin-1.4.9.1, yesod-bin-1.4.9.2, yesod-bin-1.4.10, yesod-bin-1.4.11, yesod-bin-1.4.12, yesod-bin-1.4.13, yesod-bin-1.4.13.1, yesod-bin-1.4.13.2, yesod-bin-1.4.13.3, yesod-bin-1.4.14, yesod-bin-1.4.15, yesod-bin-1.4.16, yesod-bin-1.4.16.1, yesod-bin-1.4.17, yesod-bin-1.4.17.1, yesod-bin-1.4.18, yesod-bin-1.4.18.1, yesod-bin-1.4.18.2.


You are receiving this because you modified the open/close state.

Reply to this email directly, view it on GitHub
#1273 (comment),
or mute the thread
https://github.com/notifications/unsubscribe-auth/AADBB2uKQMM7BZtJnslE0bLwlsuRGnAYks5qmnKdgaJpZM4Jy6-N
.

Member

snoyberg commented Sep 4, 2016

You'll need to wait about an hour got the indices to update.

On Sun, Sep 4, 2016, 10:26 AM Amitai Burstein notifications@github.com
wrote:

Sorry, I'm getting this:

$ stack build yesod-bin-1.4.18.3
Didn't see yesod-bin-1.4.18.3 in your package indices.
Updating and trying again.
Fetching package index ...remote: Counting objects: 1, done.
remote: Total 1 (delta 0), reused 1 (delta 0), pack-reused 0
Unpacking objects: 100% (1/1), done.
Fetched package index.
The following package identifiers were not found in your indices: yesod-bin-1.4.18.3
Possible candidates: yesod-bin-1.4.0, yesod-bin-1.4.0.1, yesod-bin-1.4.0.2, yesod-bin-1.4.0.3, yesod-bin-1.4.0.4, yesod-bin-1.4.0.5, yesod-bin-1.4.0.6, yesod-bin-1.4.0.7, yesod-bin-1.4.0.8, yesod-bin-1.4.0.9, yesod-bin-1.4.1, yesod-bin-1.4.1.1, yesod-bin-1.4.1.2, yesod-bin-1.4.2, yesod-bin-1.4.3, yesod-bin-1.4.3.1, yesod-bin-1.4.3.2, yesod-bin-1.4.3.3, yesod-bin-1.4.3.4, yesod-bin-1.4.3.5, yesod-bin-1.4.3.6, yesod-bin-1.4.3.7, yesod-bin-1.4.3.9, yesod-bin-1.4.3.10, yesod-bin-1.4.3.11, yesod-bin-1.4.4, yesod-bin-1.4.5, yesod-bin-1.4.5.1, yesod-bin-1.4.6, yesod-bin-1.4.7, yesod-bin-1.4.7.1, yesod-bin-1.4.7.2, yesod-bin-1.4.8, yesod-bin-1.4.9, yesod-bin-1.4.9.1, yesod-bin-1.4.9.2, yesod-bin-1.4.10, yesod-bin-1.4.11, yesod-bin-1.4.12, yesod-bin-1.4.13, yesod-bin-1.4.13.1, yesod-bin-1.4.13.2, yesod-bin-1.4.13.3, yesod-bin-1.4.14, yesod-bin-1.4.15, yesod-bin-1.4.16, yesod-bin-1.4.16.1, yesod-bin-1.4.17, yesod-bin-1.4.17.1, yesod-bin-1.4.18, yesod-bin-1.4.18.1, yesod-bin-1.4.18.2.


You are receiving this because you modified the open/close state.

Reply to this email directly, view it on GitHub
#1273 (comment),
or mute the thread
https://github.com/notifications/unsubscribe-auth/AADBB2uKQMM7BZtJnslE0bLwlsuRGnAYks5qmnKdgaJpZM4Jy6-N
.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment